/***************************************
* STORED stp_rappQualGetByUDC
*
* Ottiene l'elenco dei record di rapp qualità di AS dato UDC
*
* Steamware, S.E.L.
* mod: 2011.03.30
*
****************************************/
create PROCEDURE dbo.stp_rappQualGetByUDC
(
	@UDC NVARCHAR(20)
)
AS
	-- restituisce le righe richieste
	SELECT	* 
	FROM	RilPro.RapQual 
	WHERE	(UDC = @UDC)
		
RETURN


/***************************************
* STORED stp_ComAs_lastComandoByStored
*
* Ottiene il record dell'ultimo comando inviato ad AS400 dato il nome della stored con Test = 0
*
* Steamware, S.E.L.
* mod: 2011.03.30
*
****************************************/
create PROCEDURE dbo.stp_ComAs_lastComandoByStored
(
	@Stored NVARCHAR(100)
)
AS
	-- restituisce le righe richieste
	SELECT	TOP 1 * 
	FROM	RawData.AS400_Comandi 
	WHERE	(Stored = @Stored) AND Test = 0
	ORDER BY DataEsecuzione DESC
		
RETURN



set xact_abort on
go

begin transaction
go

set ANSI_NULLS on
go

/***************************************
* STORED stp_rappQualSuntoGetByDataRange
*
* Ottiene l'elenco dei record di rapp qualità di AS dato il range delle date
*
* Steamware, S.E.L.
* mod: 2010.09.29
*
****************************************/
alter PROCEDURE stp_rappQualSuntoGetByDataRange
(
	@dataFrom DATETIME,
	@dataTo DATETIME
)
AS
	-- restituisce le righe richieste
	SELECT			*
		FROM        v_RapQualSunto
		WHERE		(DataRapQual >= dbo.dateToAsFormat(@dataFrom)) AND (DataRapQual < dbo.dateToAsFormat(@dataTo))
		ORDER BY nRapQual
RETURN
go

commit
go


set xact_abort on
go

begin transaction
go

set ANSI_NULLS on
go

/***************************************
* STORED stp_rappQualSuntoGetByDataRange
*
* Ottiene l'elenco dei record di rapp qualità di AS dato il range delle date
*
* Steamware, S.E.L.
* mod: 2010.09.29
*
****************************************/
alter PROCEDURE stp_rappQualSuntoGetByDataRange
(
	@dataFrom DATETIME,
	@dataTo DATETIME
)
AS
	-- restituisce le righe richieste
	SELECT			*
		FROM        v_RapQualSunto
		WHERE		(DataRapQual >= dbo.dateToAsFormat(@dataFrom)) AND (DataRapQual < dbo.dateToAsFormat(@dataTo))
		ORDER BY nRapQual
RETURN
go

commit
go






-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(350, GETDATE())
GO
